<template>
  <item-grid class="-my-6">
    <template v-for="(item, index) in items">
      <feature-item
        :key="index"
        v-bind="{ ...item, iconStyle }"
        class="max-w-lg w-full my-6 sm:mx-6"
      />
    </template>
  </item-grid>
</template>

<script>
import FeatureItem from './FeatureItem';

export default {
  name: 'FeatureItemGrid',
  components: {
    FeatureItem,
  },
  props: {
    items: { type: Array, default: () => [] },
    iconStyle: { type: Object, default: undefined },
  },
};
</script>
